%define cvs 20050407
%define build_dbus 1
%if %mdkversion <= 1000
%define build_dbus 0
%endif

Name:           tomboy
Version: 0.3.2
Release: 0.%cvs.2mdk
Summary: Tomboy is a desktop note-taking application for Linux and Unix
Group:          Graphical desktop/GNOME
License:        LGPL
URL:            http://www.beatniksoftware.com/tomboy/
Source0:        http://www.beatniksoftware.com/tomboy/releases/%{name}-%{cvs}.tar.bz2
Source1:	tomboy-stickynotes.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  gtkspell-devel
BuildRequires:  gnome-sharp-devel
BuildRequires:  libpanel-applet-devel
%if %build_dbus
BuildRequires:  dbus-sharp
%endif
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
BuildRequires: automake1.8
BuildRequires: intltool
#gw dllopened:
Requires: %mklibname gtkspell 0
Requires: %mklibname panel-applet-2_ 0

%description
Tomboy is a desktop note-taking application for Linux and Unix. Simple
and easy to use, but with potential to help you organize the ideas and
information you deal with every day. The key to Tomboy's usefulness
lies in the ability to relate notes and ideas together. Using a
WikiWiki-like linking system, organizing ideas is as simple as typing
a name. Branching an idea off is easy as pressing the Link button. And
links between your ideas won't break, even when renaming and
reorganizing them.

%prep
%setup -q -n %name
rm -rf www/CVS www/img/CVS
cp -f %SOURCE1 data/images/tintin.png
./autogen.sh

%build
%if %mdkversion <= 1000
%define __cputoolize true
%define __libtoolize true
%endif
%configure2_5x
%make

%install

%{__rm} -rf ${RPM_BUILD_ROOT}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/%{name}/lib%{name}.la
%find_lang %name
# menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/%name --tray-icon" \
title="Tomboy" \
longtitle="Desktop note-taking application" \
section="Office/Accessories" \
needs="x11" \
icon="%name.png" \
startup_notify="true"
EOF
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 data/images/tintin.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 data/images/tintin.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 data/images/tintin.png %buildroot%_miconsdir/%name.png


%clean
rm -rf ${RPM_BUILD_ROOT}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="%name.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done
%update_menus

%preun
if [ "$1" = "0" ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="%name.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
  done
fi

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root,-)
%doc ChangeLog NEWS README AUTHORS www
%_sysconfdir/gconf/schemas/%name.schemas
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%_mandir/man1/%name.1*
%_datadir/pixmaps/tintin.png
%{_datadir}/gnome-2.0/ui/GNOME_TomboyApplet.xml
%{_libdir}/%{name}/libtomboy.so
%{_libdir}/%{name}/Tomboy.exe
%{_libdir}/%{name}/Tomboy.exe.config
%{_libdir}/bonobo/servers/GNOME_TomboyApplet.server
%{_libdir}/tomboy/Plugins/PrintNotes.dll
%_libdir/pkgconfig/tomboy-plugins.pc
%if %build_dbus
%_libdir/dbus-1.0/services/com.beatniksoftware.Tomboy.service
%endif
%{_menudir}/%{name}
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri Apr  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-0.20050407.2mdk
- fix buildrequires

* Thu Apr  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-0.20050407.1mdk
- update file list
- drop patch
- new snapshot

* Thu Apr  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-9mdk
- rebuild

* Tue Mar 29 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-8mdk
- patch for mono 1.1

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 0.3.1-7mdk
- rebuild for new dbus-sharp

* Thu Feb 17 2005 Götz Waschk <waschk@linux-mandrake.com> 0.3.1-6mdk
- Rebuild

* Tue Feb 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-5mdk
- fix buildrequires

* Tue Feb 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-4mdk
- fix the menu entry

* Mon Feb 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-3mdk
- add dep on libpanel-applet (bug 13620)

* Thu Feb 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-2mdk
- fix the icon again
- fix deps

* Sun Feb 06 2005 Jerome Soyer <saispo@mandrake.org> 0.3.1-1mdk
- New version

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-5mdk
- rebuild for new dbus-sharp

* Thu Dec 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-4mdk
- Use true instead of yes for startupnotify key in menu

* Sun Nov  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-3mdk
- rebuild for new mono

* Sun Oct 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-2mdk
- fix gconf script

* Sat Oct 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-1mdk
- add the man page
- New release 0.2.2

* Fri Oct 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-3mdk
- fix buildrequires

* Thu Oct 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-2mdk
- add dbus service

* Thu Oct 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- fix installation
- add missing files
- drop gnome-applets buildrequirement
- New release 0.2.1

* Wed Sep 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-2mdk
- fix menu title
- replace the copyrighted icon

* Wed Sep 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- initial mdk package

* Sun Sep 18 2004 Ricardo Veguilla <veguilla@hpcf.upr.edu> - 0.1
- Initial package.

